import { CacheService, MESSAGES } from './cache.service';
import { async } from '@angular/core/testing';
describe('CacheService', function () {
    var service;
    beforeAll(function () {
        service = new CacheService();
    });
    it('should create an instance of the service', function () {
        expect(service).toBeDefined();
    });
    it('should save item to storage (async)', async(function () {
        service.saveItem('name', 'ibby')
            .then(function () { return expect(true).toBeTruthy(); })
            .catch(function () { return expect(false).toBeTruthy(); });
    }));
    it('should get previously stored value (async)', async(function () {
        service.getItem('name')
            .then(function (value) { return expect(value).toEqual('ibby'); })
            .catch(function () { return expect(false).toBeTruthy(); });
    }));
    it('should disable cache', function () {
        service.enableCache(false);
        expect(service.cacheEnabled === false).toBeTruthy();
    });
    it('should throw an error when getting item and cache is disabled', async(function () {
        service.getItem('name')
            .then(function () { return expect(false).toBeTruthy(); })
            .catch(function (e) { return expect(e).toEqual(MESSAGES[1]); });
    }));
});
//# sourceMappingURL=cache.service.spec.js.map